'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var backendPluginApi = require('@backstage/backend-plugin-api');
var alpha = require('@backstage/plugin-events-node/alpha');
var createGithubSignatureValidator = require('../http/createGithubSignatureValidator.cjs.js');
var octokitProviderService = require('../util/octokitProviderService.cjs.js');

var eventsModuleGithubWebhook = backendPluginApi.createBackendModule({
  pluginId: "events",
  moduleId: "github-webhook",
  register(env) {
    env.registerInit({
      deps: {
        config: backendPluginApi.coreServices.rootConfig,
        events: alpha.eventsExtensionPoint,
        octokitProvider: octokitProviderService.octokitProviderServiceRef
      },
      async init({ config, events, octokitProvider }) {
        const validator = createGithubSignatureValidator.createGithubSignatureValidator(
          config,
          octokitProvider
        );
        if (validator) {
          events.addHttpPostIngress({
            topic: "github",
            validator
          });
        }
      }
    });
  }
});

exports.default = eventsModuleGithubWebhook;
//# sourceMappingURL=eventsModuleGithubWebhook.cjs.js.map
